#include "clock.h"
#include <msp430x14x.h>

static unsigned short ticks;

#ifdef MSPGCC
#include <signal.h>
interrupt(TIMERA1_VECTOR) timer_interrupt()
#endif //MSPGCC

#ifdef ROWLEY
void timer_interrupt(void) __interrupt [TIMERA1_VECTOR]
#endif //ROWLEY
{
  if (TAIV == 10) /* Only Timer-Interrupts set TAIV to 10 */
    {
       ++ticks;
    }
}

clock_time_t clock_time(void) {
  return ticks;
}
